/*
 * Spectator - a desktop app which communicates with router Turris using NETCONF protocol
 * Copyright (C) 2015  CZ.NIC, z. s. p. o. <http://www.nic.cz>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QLoggingCategory>

#include "logging.h"

Q_LOGGING_CATEGORY(spectatorConnection, "spectator.connection")
Q_LOGGING_CATEGORY(spectatorSettings, "spectator.settings")
Q_LOGGING_CATEGORY(spectatorNotifications, "spectator.notifications")
Q_LOGGING_CATEGORY(spectatorNethist, "spectator.nethist")
Q_LOGGING_CATEGORY(spectatorControl, "spectator.control")
Q_LOGGING_CATEGORY(spectatorStats, "spectator.stats")
Q_LOGGING_CATEGORY(spectatorUpdater, "spectator.updater")
Q_LOGGING_CATEGORY(spectatorNeighbours, "spectator.neighbours")
